List Beneficiaries
curl --request GET \
--url https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"object": "<string>",
"beneficiary_type": "<string>",
"title": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"company_name": "<string>",
"status": "<string>",
"verified": true,
"created": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123,
"pages": 123
}Beneficiaries
List Beneficiaries
Retrieve a paginated list of beneficiaries
GET
/
v1
/
accounts
/
{account_id}
/
beneficiaries
List Beneficiaries
Path Parameters
string
required
The account’s external ID (starts with
acc_)Query Parameters
array
Filter by status (e.g.,
active, disabled, inactive)string
Filter beneficiaries created on or after this date (ISO 8601 format)
string
Filter beneficiaries created before this date (ISO 8601 format)
integer
default:"1"
Page number (minimum 1)
integer
default:"10"
Items per page (1-100)
Response
array
Array of beneficiary objects
Show Beneficiary Fields
Show Beneficiary Fields
string
Beneficiary identifier (starts with
bene_)string
Always returns
"beneficiary"string
Beneficiary type:
individual or businessstring
Title (e.g., Mr, Ms, Dr)
string
First name
string
Middle name
string
Last name
string
Display name
string
Company name
string
Beneficiary status
boolean
Whether beneficiary is verified
string
ISO 8601 timestamp
integer
Current page number
integer
Items per page
integer
Total number of items
integer
Total number of pages
Response Example
{
"items": [
{
"id": "bene_9gt1ummgx127biovlurm9mq2",
"object": "beneficiary",
"beneficiary_type": "individual",
"title": "Mr",
"first_name": "John",
"middle_name": "Michael",
"last_name": "Doe",
"display_name": "John Doe",
"company_name": null,
"status": "active",
"verified": true,
"created": "2024-01-15T10:00:00Z"
}
],
"page": 1,
"size": 10,
"total": 1,
"pages": 1
}
⌘I